%define name	bibtex2html
%define version 1.92

Name:		%{name}
Version:	%{version}
Release:	%mkrel 1
Summary:	A Tool for translating from BibTeX to HTML
Group:		Publishing
License:	GPLv2
URL:		http://www.lri.fr/~filliatr/bibtex2html
Source:		http://www.lri.fr/~filliatr/ftp/bibtex2html/%{name}-%{version}.tar.gz
BuildRequires:	ocaml
BuildRequires:	hevea
BuildRequires:	tetex-latex
BuildRequires:	tetex-dvips
BuildRequires:	tetex-cmsuper
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
bibtex2html is a collection of tools for translating bibliographies
in BibTeX format to HTML. Here are some of these tools' more important 
features: 

* Handle any BibTeX style (even those producing multiple bibliographies); 
* Use additional fields like abstract, url, ps, etc. to insert web links; 
* Crossrefs are also replaced by links; 
* Sort by dates or authors, in increasing or decreasing order; 
* Read simple macros in TeX or LaTeX files; 
* Show syntax errors in BibTeX files; 
* Extract from one or several BibTeX files the set of entries satisfying
  a given criterion. 

%prep
%setup -q

%build
%configure
%make
%make doc

%install
%__rm -rf %{buildroot}
%__install -d -m 755 %{buildroot}%{_bindir}
%__install -d -m 755 %{buildroot}%{_mandir}/man1
%__install -m 755 aux2bib bib2bib bibtex2html %{buildroot}%{_bindir}
%__install -m 644 aux2bib.1 bib2bib.1 bibtex2html.1 %{buildroot}%{_mandir}/man1

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README manual.ps manual.html
%{_bindir}/*
%{_mandir}/man1/*





%changelog
* Sun Aug 17 2008 Lev Givon <lev@mandriva.org> 1.92-1mdv2008.0
+ Revision: 272968
- Update to 1.92.

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.91-3mdv2009.0
+ Revision: 243254
- rebuild

* Mon Feb 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.91-1mdv2008.1
+ Revision: 175067
- update to new version 1.91

* Sat Feb 02 2008 Frederik Himpe <fhimpe@mandriva.org> 1.90-1mdv2008.1
+ Revision: 161545
- New upstream version
- Adapt to license policy

* Fri Jan 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.89-1mdv2008.1
+ Revision: 154619
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Dec 10 2007 Funda Wang <fundawang@mandriva.org> 1.88-2mdv2008.1
+ Revision: 116942
- fix wrong rel

* Mon Dec 10 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.88-1mdv2008.1mdv2008.1
+ Revision: 116901
- update to new version 1.88
- update to new version 1.88

* Fri Aug 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.87-1mdv2008.0mdv2008.0
+ Revision: 64657
- new version

* Mon May 07 2007 Lev Givon <lev@mandriva.org> 1.86-1mdv2008.0mdv2008.0
+ Revision: 23964
- Update to 1.86.


* Wed Nov 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.85-1mdv2007.0mdv2007.0
+ Revision: 88653
- new version
  drop patch, merged upstream

* Tue Oct 24 2006 Lev Givon <lev@mandriva.org> 1.82-2mdv2007.0
+ Revision: 71708
- import bibtex2html-1.82-2mdv2007.0.

* Sat Aug 26 2006 Lev Givon <lev@mandriva.org> 1.82-2mdv2007.0
- add patch for Hungarian umlauts from Jean-Christophe.

* Tue Jul 11 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.82-1mdv2007.0
- New version 1.82
- quiet setup

* Thu May 18 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.81-1mdk
- New release 1.81

* Tue Apr 25 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.80-1mdk
- New release 1.80

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.79-1mdk
- New release 1.79

* Mon Dec 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.78-1mdk
- New release 1.78
- %%{1}mdv2007.1

* Thu Nov 24 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.77-1mdk
- New release 1.77

* Tue Sep 27 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.76-1mdk
- New release 1.76

* Tue Apr 26 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.75-1mdk
- New release 1.75
- spec cleanup
- rm -rf /home/mandrake/rpm/tmp/bibtex2html-1.85 in install

* Sat Jul 10 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.70-1mdk 
- new version

* Fri Apr 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.69-1mdk
- new version

* Fri Dec 12 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.65-1mdk
- new version

